* bootstrap (run): `set -e' in the subshell.
Improve the detection of Libtool.
Update version numbers for Autotools.
Use `pwd` instead of $PWD.
---
ChangeLog | 9 +++++++++
bootstrap | 23 ++++++++++++++++-------
2 files changed, 25 insertions(+), 7 deletions(-)
diff --git a/ChangeLog b/ChangeLog
index 34ed259..644e624 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,14 @@
2009-02-03 Roland Levillain <roland(a)lrde.epita.fr>
+ Improve bootstrap's portability and usability.
+
+ * bootstrap (run): `set -e' in the subshell.
+ Improve the detection of Libtool.
+ Update version numbers for Autotools.
+ Use `pwd` instead of $PWD.
+
+2009-02-03 Roland Levillain <roland(a)lrde.epita.fr>
+
Aesthetic changes in configure.ac.
* configure.ac: Set version number to 1.0.
diff --git a/bootstrap b/bootstrap
index 4b1a351..76d215b 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,5 +1,4 @@
-#!/bin/sh
-
+#! /bin/sh
fatal ()
{
@@ -94,10 +93,10 @@ require ()
# run DIRECTORY COMMAND-LINE
# --------------------------
-# "set -e" doesn't work for subshells!
run ()
{
(
+ set -e
stderr "$@"
cd "$1"
shift
@@ -113,13 +112,23 @@ run ()
set -e
# Requirements over bootstrap tools.
-require autoconf 2.59
-require automake 1.9.4
+require autoconf 2.61
+require automake 1.10
+libtoolize=libtoolize
+for l in "$LIBTOOLIZE" glibtoolize libtoolize;
+do
+ if ($l --version) >/dev/null 2>&1; then
+ libtoolize=$l
+ break
+ fi
+done
+export LIBTOOLIZE=$libtoolize
+require $libtoolize 1.5.22
# Generate unit test files.
-run milena/tests/unit_test ./build_unit_test.sh $PWD/milena/mln
+run milena/tests/unit_test ./build_unit_test.sh `pwd`/milena/mln
-# Generate milena/dist_headers.mk
+# Generate milena/headers.mk
run milena ./generate_dist_headers.sh
# Generate lists of files to be part of the distribution
--
1.6.1.2